package com.docus.bgts.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("文件库中的省中医病案采集-子任务表")
public class AfInterfaceCollectSub implements Serializable {
    @TableId(value = "id",type = IdType.ASSIGN_ID)
    private Long id;
    @ApiModelProperty(value = "af_interface_collect表id")
    private Long afInterfaceCollectId;
    @ApiModelProperty(value = "采集器id")
    private String collectsysCode;
    @ApiModelProperty(value = "子任务流水号 同一份文件子任务需一致")
    private String serialnumSub;
    @ApiModelProperty(value = "记账号")
    private String jzh;
    @ApiModelProperty(value = "分类名称")
    private String assortName;
    @ApiModelProperty(value = "状态 0:未发起，1：成功，2：失败")
    private Integer state;
    @ApiModelProperty(value = "请求信息")
    private String requestMessage;
}
