package com.docus.bgts.mapper.dbmysql;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.bgts.entity.ZdAssort;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 病案分类 Mapper 接口
 * </p>
 *
 * @author 曾文和
 * @since 2021-04-20
 */
public interface ZdAssortMapper extends BaseMapper<ZdAssort> {
    /**
     *  根据分类名称模糊查询病案分类集合
     * @param assortName 文件分类
     * @return
     */
    List<ZdAssort> selectAll(@Param("assortName") String assortName);

    /**
     * 插入表zdAssort数据
     * @param zdAssort
     */
    void insertZdAssort(@Param("zdAssort") ZdAssort zdAssort);
}
