package com.docus.bgts.rpc;

import com.docus.bgts.entity.CommonResult;
import com.docus.bgts.rpc.dto.ReportDownDto;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 下载平台 远程调用接口
 * @author YongBin Wen
 * @date 2024/1/11 10:01
 */
public interface DownloadPlatformRpc {

    /**
     * 病案上报文件(通用)
     * @date 2024/1/11 10:05
     * @author YongBin Wen
     * @param resources 上报信息
     * @return 返回结果
     */
     CommonResult report(@RequestBody ReportDownDto resources);

/**
 * 封存病历上报文件(省中医使用)
 * @date 2024/1/11 10:22
 * @author YongBin Wen
 * @param resources 上报信息
 * @return 返回结果
 */
     CommonResult sealReport(@RequestBody ReportDownDto resources);
}
